<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.ccs.api.mapper.FireVideoMapper">

    <select id="listByRelationMrid" resultType="com.yeejoin.amos.boot.module.ccs.api.dto.FireVideoDto">
        SELECT
            v.id,
            v.mrid,
            v.name,
            v.position,
            v.play_url
        FROM `ast_fire_video` v
        where
        FIND_IN_SET(#{relationId},v.relation_equipment_mrids) or
        FIND_IN_SET(#{relationId},v.relation_fire_equipment_mrids)
    </select>
</mapper>
